Page MenuHomePhabricator

Update app footer to use cc 4.0
Closed, DeclinedPublic

Description

Legal is planning to consult with the community about migrating to the 4.0 version of the CC-by-SA license.

This will be a bit tricky, as content will be under the new license only once it is edited. On the app side, the easiest thing is to look at revision timestamp, and if the timestamp is after a specific "transition" date we will show the 4.0 footer and link.

Additionally the 4.0 version has language variants, so a "nice to have" would be to link to the appropriate language version based on the content language.

No work needed as of now, pending the legal/community discussion.

Event Timeline

JMinor created this task.Sep 27 2016, 9:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 27 2016, 9:05 PM
JMinor renamed this task from Update footer to use cc 4.0 to Update app footer to use cc 4.0.Sep 27 2016, 9:12 PM
Dbrant added a subscriber: Dbrant.Sep 28 2016, 12:22 PM

It would be great if the API response told us which license the article is under.

Josve05a changed the task status from Open to Stalled.Oct 31 2016, 7:35 AM
Josve05a added a project: WMF-Legal.
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptOct 31 2016, 7:35 AM
RHo added a subscriber: RHo.Aug 7 2017, 10:42 AM
ZhouZ moved this task from Backlog to Assigned on the WMF-Legal board.Aug 23 2017, 9:11 PM
LGoto closed this task as Declined.Apr 3 2018, 10:43 PM
LGoto added a subscriber: LGoto.

Closed as part of board grooming process.